#include "config.h"

#include "MountPointManagerSingleton.hh"

#include "DirectoryManagerSingleton.hh"

namespace diskCache
{
  DEFINE_READ_WRITE_SINGLETON_NO_CONSTRUCTOR(MountPointManagerSingleton,80)

  MountPointManagerSingleton::
  MountPointManagerSingleton( )
  {
    DEFINE_READ_WRITE_SINGLETON_CONSTRUCTOR_BODY(MountPointManagerSingleton);

    MountPointManager::DirectoryCache( &(DirectoryManagerSingleton::Instance( )) );
  }

}
