/* -*- mode: c++ -*- */

%module LDASframe

%{
#include <string>
#include <vector>

#include "createRDS.hh"

using namespace FrameAPI;

%}

%include "std_string.i"
%include "std_vector.i"

%import "general/types.hh"

%import "Frame.i"

%apply swig_vector_string_type { channel_container_type };
%apply swig_vector_string_type { frame_file_container_type };

typedef INT_4U start_type;
typedef INT_4U end_type;

Frame createRDS( frame_file_container_type FrameFiles,
		 start_type Start,
		 end_type End,
		 channel_container_type Channels );
